using UnityEngine;

// [CreateAssetMenu]는 수동 생성을 위한 것인데, 우리는 자동 생성할 것이라 필수는 아니지만 남겨둡니다.
[CreateAssetMenu(fileName = "LevelData", menuName = "Puzzle/LevelData")]
public class LevelData : ScriptableObject
{
    [Header("Level Info")]
    public int levelIndex;     // 레벨 번호 (1~100)
    public Vector2Int gridSize; // 가로 x 세로 크기

    [Header("Corner Colors")]
    // 좌상, 우상, 좌하, 우하 색상
    public Color colorTL; 
    public Color colorTR;
    public Color colorBL; 
    public Color colorBR;
}